<?php
/*
Plugin Name: kouen-google-analytics
Plugin URI: http://blog.kouen.mydns.to/wordpress/plagin/
Description: 簡単設定
Version: 2.0α
Author: kouen
Author URI: http://blog.kouen.mydns.to/wordpress/
*/
/*  Copyright 2011年 kouen (email : kouen@tkouen.mydns.jp)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//クラスファイルの読み込み
require_once(trim(dirname(__FILE__))."/class/kouenGoogleAnalytics.php");


//Classオブジェクトの生成
$obj_kouenGoogleAnalytics = new kouen_GoogleAnalytics();

/**
 * WordPressのヘッダーの最後尾にGoogleAnalyticsのコードを出力
 */
add_action('wp_head', array($obj_kouenGoogleAnalytics,'readGoogleAnalyticsScript'), 90000);


/*
 * ktai style用
 * ktai styleのfooterの最後尾にGoogleAnalyticsのコードを出力
 * active_plugins: ktai-style/ktai_style.php
*/
$arr_active_plugins = get_option( "active_plugins" );
if (array_search("ktai-style/ktai_style.php", $arr_active_plugins)) {
	add_action('ktai_wp_footer', array($obj_kouenGoogleAnalytics,'readGoogleAnalyticsScriptKtaiStyle'), 90000);
}

/**
 * 管理画面に設定ページを表示
 */
add_action('admin_menu', array($obj_kouenGoogleAnalytics,'setGoogleAnalyticsScript'), 90000);
?>